### Enumeration

# Soup SessionError

#### Declaration

    error-domain Soup.SessionError

#### Description [src]

A `SoupSession` error.

#### Members

`SOUP_SESSION_ERROR_PARSING`

  The server’s response could not be parsed.

  - Value: `0`
  - Available since: 3.0
`SOUP_SESSION_ERROR_ENCODING`

  The server’s response was in an unsupported format.

  - Value: `1`
  - Available since: 3.0
`SOUP_SESSION_ERROR_TOO_MANY_REDIRECTS`

  The message has been redirected too many times.

  - Value: `2`
  - Available since: 3.0
`SOUP_SESSION_ERROR_TOO_MANY_RESTARTS`

  The message has been restarted too many times.

  - Value: `3`
  - Available since: 3.0
`SOUP_SESSION_ERROR_REDIRECT_NO_LOCATION`

  Failed to redirect message because Location header was missing or empty in response.

  - Value: `4`
  - Available since: 3.0
`SOUP_SESSION_ERROR_REDIRECT_BAD_URI`

  Failed to redirect message because Location header contains an invalid URI.

  - Value: `5`
  - Available since: 3.0
`SOUP_SESSION_ERROR_MESSAGE_ALREADY_IN_QUEUE`

  The message is already in the session queue. Messages can only be reused after unqueued.

  - Value: `6`
  - Available since: 3.0

#### Type functions

###### soup_session_error_quark

Registers error quark for SoupSession if needed.